/*
 * Copyright (C) Sureshot 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Review history:
 *
 */

package se.bysoft.sureshot.gui.util;

/**
 * A runnable class used to call the updateView method. Used together
 * with the Model View Controller pattern to delegate the work from the
 * thread that calls update(Observable observable, Object o) to AWT
 * thread.
 *
 * @author Roger Karlsson
 * @since  March 12, 2002
 */
public class UpdateCaller implements Runnable
{
    /**
     * Constructor.
     *
     * @param observer  The observer object.
     */
    public UpdateCaller(final Updatable observer)
    {
        _observer = observer;
    }
    
    public void run() 
    {
        _observer.updateView();
    }
    
    private final Updatable _observer;
}
