/*
 * Copyright (C) Sureshot 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Review history:
 *
 */

package se.bysoft.sureshot.products.jcavaj.engine;

import java.io.*;
import java.util.*;

import jode.decompiler.*;

import se.bysoft.sureshot.debug.Assertion;

/**
 *
 * @author Roger Karlsson
 * @since  September 10, 2002
 */
public class JodeDecompiler implements Decompiler
{
    /**
     *
     */
    public JodeDecompiler()
    {
    }
    
    /**
     * See the interface.
     */
    public void decompile(final Writer writer, final String name)
        throws IOException
    {        
        _jodeDecompiler.decompile(name, writer, null);
    }
    
    /**
     * See the interface.
     */
    public void setClassPath(final String classPath) 
    {
        System.setProperty(_classPathKey, classPath);
        jode.bytecode.ClassInfo.setClassPath(classPath);
	_jodeDecompiler.setClassPath(classPath);
    }
    
    private final String _classPathKey = "java.class.path";
    
    private final jode.decompiler.Decompiler _jodeDecompiler = 
        new jode.decompiler.Decompiler();
}
